diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/packages/tests/test_package_add.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/packages/tests/test_package_add.py
index bad9222..33ffad4 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/packages/tests/test_package_add.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/packages/tests/test_package_add.py
@@ -40,8 +40,8 @@ class PackageAddTestCase(BaseTestGenerator):
         server_con = server_utils.connect_server(self, self.server_id)
 
         if server_con:
-            if "server_type" in server_con["data"]:
-                if server_con["data"]["server_type"] == "pg":
+            if "type" in server_con["data"]:
+                if server_con["data"]["type"] == "pg":
                     message = "Packages not supported by PostgreSQL."
                     self.skipTest(message)
 
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/packages/tests/test_package_delete.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/packages/tests/test_package_delete.py
index 10ae664..5c70c2e 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/packages/tests/test_package_delete.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/packages/tests/test_package_delete.py
@@ -42,8 +42,8 @@ class PackageDeleteTestCase(BaseTestGenerator):
         server_con = server_utils.connect_server(self, self.server_id)
 
         if server_con:
-            if "server_type" in server_con["data"]:
-                if server_con["data"]["server_type"] == "pg":
+            if "type" in server_con["data"]:
+                if server_con["data"]["type"] == "pg":
                     message = "Packages not supported by PostgreSQL."
                     self.skipTest(message)
 
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/packages/tests/test_package_get.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/packages/tests/test_package_get.py
index e5aefab..673a1a2 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/packages/tests/test_package_get.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/packages/tests/test_package_get.py
@@ -42,8 +42,8 @@ class PackageGetTestCase(BaseTestGenerator):
         server_con = server_utils.connect_server(self, self.server_id)
 
         if server_con:
-            if "server_type" in server_con["data"]:
-                if server_con["data"]["server_type"] == "pg":
+            if "type" in server_con["data"]:
+                if server_con["data"]["type"] == "pg":
                     message = "Packages not supported by PostgreSQL."
                     self.skipTest(message)
 
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/packages/tests/test_package_put.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/packages/tests/test_package_put.py
index 546d883..d3ba003 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/packages/tests/test_package_put.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/packages/tests/test_package_put.py
@@ -44,8 +44,8 @@ class PackagePutTestCase(BaseTestGenerator):
         server_con = server_utils.connect_server(self, self.server_id)
 
         if server_con:
-            if "server_type" in server_con["data"]:
-                if server_con["data"]["server_type"] == "pg":
+            if "type" in server_con["data"]:
+                if server_con["data"]["type"] == "pg":
                     message = "Packages not supported by PostgreSQL."
                     self.skipTest(message)
 
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/synonyms/tests/test_synonym_add.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/synonyms/tests/test_synonym_add.py
index bcf133b..6769f1e 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/synonyms/tests/test_synonym_add.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/synonyms/tests/test_synonym_add.py
@@ -36,8 +36,8 @@ class SynonymAddTestCase(BaseTestGenerator):
         self.db_id = schema_info["db_id"]
         server_con = server_utils.connect_server(self, self.server_id)
         if server_con:
-            if "server_type" in server_con["data"]:
-                if server_con["data"]["server_type"] == "pg":
+            if "type" in server_con["data"]:
+                if server_con["data"]["type"] == "pg":
                     message = "Synonym not supported by PG."
                     self.skipTest(message)
         db_con = database_utils.connect_database(self, utils.SERVER_GROUP,
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/synonyms/tests/test_synonym_delete.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/synonyms/tests/test_synonym_delete.py
index a3c2177..32d1c16 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/synonyms/tests/test_synonym_delete.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/synonyms/tests/test_synonym_delete.py
@@ -36,8 +36,8 @@ class SynonymDeleteTestCase(BaseTestGenerator):
         self.db_id = schema_info["db_id"]
         server_con = server_utils.connect_server(self, self.server_id)
         if server_con:
-            if "server_type" in server_con["data"]:
-                if server_con["data"]["server_type"] == "pg":
+            if "type" in server_con["data"]:
+                if server_con["data"]["type"] == "pg":
                     message = "Synonym not supported by PG."
                     self.skipTest(message)
         db_con = database_utils.connect_database(self, utils.SERVER_GROUP,
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/synonyms/tests/test_synonym_get.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/synonyms/tests/test_synonym_get.py
index 7dc2ff6..34963f0 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/synonyms/tests/test_synonym_get.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/synonyms/tests/test_synonym_get.py
@@ -36,8 +36,8 @@ class SynonymGetTestCase(BaseTestGenerator):
         self.db_id = schema_info["db_id"]
         server_con = server_utils.connect_server(self, self.server_id)
         if server_con:
-            if "server_type" in server_con["data"]:
-                if server_con["data"]["server_type"] == "pg":
+            if "type" in server_con["data"]:
+                if server_con["data"]["type"] == "pg":
                     message = "Synonym not supported by PG."
                     self.skipTest(message)
         db_con = database_utils.connect_database(self, utils.SERVER_GROUP,
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/synonyms/tests/test_synonym_put.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/synonyms/tests/test_synonym_put.py
index 60ae248..2bf49af 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/synonyms/tests/test_synonym_put.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/synonyms/tests/test_synonym_put.py
@@ -40,8 +40,8 @@ class SynonymPutTestCase(BaseTestGenerator):
         self.db_id = schema_info["db_id"]
         server_con = server_utils.connect_server(self, self.server_id)
         if server_con:
-            if "server_type" in server_con["data"]:
-                if server_con["data"]["server_type"] == "pg":
+            if "type" in server_con["data"]:
+                if server_con["data"]["type"] == "pg":
                     message = "Synonym not supported by PG."
                     self.skipTest(message)
         db_con = database_utils.connect_database(self, utils.SERVER_GROUP,
diff --git a/web/pgadmin/browser/server_groups/servers/databases/tests/test_db_get.py b/web/pgadmin/browser/server_groups/servers/databases/tests/test_db_get.py
index 46b3cab..4d7be55 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/tests/test_db_get.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/tests/test_db_get.py
@@ -25,24 +25,23 @@ class DatabasesGetTestCase(BaseTestGenerator):
     def runTest(self):
         """ This function will fetch added database. """
         server_data = parent_node_dict["database"][-1]
-        self.server_id = server_data["server_id"]
-        self.db_id = server_data['db_id']
+        server_id = server_data["server_id"]
+        db_id = server_data['db_id']
         db_con = database_utils.connect_database(self,
-                                                utils.SERVER_GROUP,
-                                                self.server_id,
-                                                self.db_id)
+                                                 utils.SERVER_GROUP,
+                                                 server_id,
+                                                 db_id)
         try:
             if db_con["info"] == "Database connected.":
-                    response = self.tester.get(
-                        self.url + str(utils.SERVER_GROUP) + '/' + str(
-                            self.server_id) + '/' +
-                        str(self.db_id), follow_redirects=True)
-                    self.assertEquals(response.status_code, 200)
+                response = self.tester.get(
+                    self.url + str(utils.SERVER_GROUP) + '/' + str(
+                        server_id) + '/' +
+                    str(db_id), follow_redirects=True)
+                self.assertEquals(response.status_code, 200)
             else:
                 raise Exception("Could not connect to database.")
         except Exception as exception:
             raise Exception("Error while getting database. %s" % exception)
         finally:
             # Disconnect database to delete it
-            database_utils.disconnect_database(self, self.server_id,
-                                               self.db_id)
+            database_utils.disconnect_database(self, server_id, db_id)
diff --git a/web/pgadmin/browser/server_groups/servers/databases/tests/test_db_put.py b/web/pgadmin/browser/server_groups/servers/databases/tests/test_db_put.py
index 0f0914b..cd765b9 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/tests/test_db_put.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/tests/test_db_put.py
@@ -24,7 +24,7 @@ class DatabasesUpdateTestCase(BaseTestGenerator):
     ]
 
     def setUp(self):
-        self.db_name = "test_db_put_%s" % str(uuid.uuid4())[1:8],
+        self.db_name = "test_db_put_%s" % str(uuid.uuid4())[1:8]
         self.db_id = utils.create_database(self.server, self.db_name)
         self.server_id = parent_node_dict["server"][-1]["server_id"]
         db_dict = {"server_id": self.server_id, "db_id": self.db_id,
@@ -34,9 +34,9 @@ class DatabasesUpdateTestCase(BaseTestGenerator):
     def runTest(self):
         """ This function will update the comments field of database."""
         db_con = database_utils.connect_database(self,
-                                                utils.SERVER_GROUP,
-                                                self.server_id,
-                                                self.db_id)
+                                                 utils.SERVER_GROUP,
+                                                 self.server_id,
+                                                 self.db_id)
         if db_con["info"] == "Database connected.":
             try:
                 data = {
diff --git a/web/pgadmin/browser/server_groups/servers/resource_groups/tests/test_resource_groups_add.py b/web/pgadmin/browser/server_groups/servers/resource_groups/tests/test_resource_groups_add.py
index aa4deb9..6db7111 100644
--- a/web/pgadmin/browser/server_groups/servers/resource_groups/tests/test_resource_groups_add.py
+++ b/web/pgadmin/browser/server_groups/servers/resource_groups/tests/test_resource_groups_add.py
@@ -28,8 +28,8 @@ class ResourceGroupsAddTestCase(BaseTestGenerator):
         if not server_con["info"] == "Server connected.":
             raise Exception("Could not connect to server to add resource "
                             "groups.")
-        if "server_type" in server_con["data"]:
-            if server_con["data"]["server_type"] == "pg":
+        if "type" in server_con["data"]:
+            if server_con["data"]["type"] == "pg":
                 message = "Resource groups are not supported by PG."
                 self.skipTest(message)
 
diff --git a/web/pgadmin/browser/server_groups/servers/resource_groups/tests/test_resource_groups_delete.py b/web/pgadmin/browser/server_groups/servers/resource_groups/tests/test_resource_groups_delete.py
index eab3124..e7eab68 100644
--- a/web/pgadmin/browser/server_groups/servers/resource_groups/tests/test_resource_groups_delete.py
+++ b/web/pgadmin/browser/server_groups/servers/resource_groups/tests/test_resource_groups_delete.py
@@ -27,8 +27,8 @@ class ResourceGroupsDeleteTestCase(BaseTestGenerator):
         if not server_response["info"] == "Server connected.":
             raise Exception("Could not connect to server to add resource "
                             "groups.")
-        if "server_type" in server_response["data"]:
-            if server_response["data"]["server_type"] == "pg":
+        if "type" in server_response["data"]:
+            if server_response["data"]["type"] == "pg":
                 message = "Resource groupa are not supported by PG."
                 self.skipTest(message)
         self.resource_group = "test_resource_group_delete%s" % \
diff --git a/web/pgadmin/browser/server_groups/servers/resource_groups/tests/test_resource_groups_put.py b/web/pgadmin/browser/server_groups/servers/resource_groups/tests/test_resource_groups_put.py
index a639768..95e2d1a 100644
--- a/web/pgadmin/browser/server_groups/servers/resource_groups/tests/test_resource_groups_put.py
+++ b/web/pgadmin/browser/server_groups/servers/resource_groups/tests/test_resource_groups_put.py
@@ -28,8 +28,8 @@ class ResourceGroupsPutTestCase(BaseTestGenerator):
         if not server_response["info"] == "Server connected.":
             raise Exception("Could not connect to server to add resource "
                             "groups.")
-        if "server_type" in server_response["data"]:
-            if server_response["data"]["server_type"] == "pg":
+        if "type" in server_response["data"]:
+            if server_response["data"]["type"] == "pg":
                 message = "Resource groups are not supported by PG."
                 self.skipTest(message)
         self.resource_group_name = "test_resource_group_put%s" % \
diff --git a/web/pgadmin/browser/server_groups/servers/resource_groups/tests/tests_resource_groups_get.py b/web/pgadmin/browser/server_groups/servers/resource_groups/tests/tests_resource_groups_get.py
index 2274628..36b9cf0 100644
--- a/web/pgadmin/browser/server_groups/servers/resource_groups/tests/tests_resource_groups_get.py
+++ b/web/pgadmin/browser/server_groups/servers/resource_groups/tests/tests_resource_groups_get.py
@@ -27,8 +27,8 @@ class ResourceGroupsGetTestCase(BaseTestGenerator):
         if not server_response["info"] == "Server connected.":
             raise Exception("Could not connect to server to add resource "
                             "groups.")
-        if "server_type" in server_response["data"]:
-            if server_response["data"]["server_type"] == "pg":
+        if "type" in server_response["data"]:
+            if server_response["data"]["type"] == "pg":
                 message = "Resource groups are not supported by PG."
                 self.skipTest(message)
         self.resource_group = "test_resource_group_get%s" % \
diff --git a/web/regression/runtests.py b/web/regression/runtests.py
index bdbd6e2..987dc3f 100644
--- a/web/regression/runtests.py
+++ b/web/regression/runtests.py
@@ -226,10 +226,13 @@ if __name__ == '__main__':
     # Register cleanup function to cleanup on exit
     atexit.register(drop_objects)
     # Set signal handler for cleanup
-    signal.signal(signal.SIGTERM, sig_handler)
-    signal.signal(signal.SIGABRT, sig_handler)
-    signal.signal(signal.SIGINT, sig_handler)
-    signal.signal(signal.SIGQUIT, sig_handler)
+    signal_list = dir(signal)
+    required_singnal_list = ['SIGTERM', 'SIGABRT', 'SIGQUIT', 'SIGINT']
+    # Get the OS wise supported signals
+    supported_signal_list = [sig for sig in required_singnal_list if
+                             sig in signal_list]
+    for sig in supported_signal_list:
+        signal.signal(getattr(signal, sig), sig_handler)
 
     # Set basic logging configuration for log file
     logging.basicConfig(level=logging.DEBUG,
